AbstractNullnessCheckNode (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.ast.tree
Class AbstractNullnessCheckNode

    java.lang.Object
      antlr.BaseAST
          antlr.CommonAST
              org.hibernate.hql.internal.ast.tree.Node
                  org.hibernate.hql.internal.ast.tree.SqlNode
                      org.hibernate.hql.internal.ast.tree.HqlSqlWalkerNode
                          org.hibernate.hql.internal.ast.tree.UnaryLogicOperatorNode
                              org.hibernate.hql.internal.ast.tree.AbstractNullnessCheckNode

All Implemented Interfaces:
  antlr.collections.AST, Serializable, InitializeableNode, OperatorNode, UnaryOperatorNode

Direct Known Subclasses:
  IsNotNullLogicOperatorNode, IsNullLogicOperatorNode

    public abstract class AbstractNullnessCheckNode

extends UnaryLogicOperatorNode

Base class for nodes dealing 'is null' and 'is not null' operators.

todo : a good deal of this is copied from BinaryLogicOperatorNode; look at consolidating these code fragments

See Also:
  Serialized Form

Field Summary

Fields inherited from class antlr.BaseAST
`down, right`

Constructor Summary
`AbstractNullnessCheckNode()`

Method Summary
`protected abstract String` | `getExpansionConnectorText()` When (if) we need to expand a row value constructor, what is the text of the connector to use between the expansion fragments.
`protected abstract int` | `getExpansionConnectorType()` When (if) we need to expand a row value constructor, what is the type of connector to use between the expansion fragments.
`void` | `initialize()` Called by the tree walker during hql-sql semantic analysis after the operator sub-tree is completely built.

Methods inherited from class org.hibernate.hql.internal.ast.tree.UnaryLogicOperatorNode
`getDataType, getOperand`

Methods inherited from class org.hibernate.hql.internal.ast.tree.HqlSqlWalkerNode
`getAliasGenerator, getASTFactory, getSessionFactoryHelper, getWalker, initialize`

Methods inherited from class org.hibernate.hql.internal.ast.tree.SqlNode
`getOriginalText, setDataType, setText`

Methods inherited from class org.hibernate.hql.internal.ast.tree.Node
`getColumn, getFilename, getLine, getRenderText, getTextLength, initialize, initialize`

Methods inherited from class antlr.CommonAST
`getText, getType, initialize, setType`

Methods inherited from class antlr.BaseAST
`addChild, decode, encode, equals, equalsList, equalsListPartial, equalsTree, equalsTreePartial, findAll, findAllPartial, getFirstChild, getNextSibling, getNumberOfChildren, getTokenNames, removeChildren, setFirstChild, setNextSibling, setVerboseStringConversion, toString, toStringList, toStringTree, xmlSerialize, xmlSerializeNode, xmlSerializeRootClose, xmlSerializeRootOpen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractNullnessCheckNode

    public AbstractNullnessCheckNode()

Method Detail

### initialize

    public void initialize()

  Called by the tree walker during hql-sql semantic analysis after the operator sub-tree is completely built.

  Specified by:
    `initialize` in interface `OperatorNode`
  Overrides:
    `initialize` in class `UnaryLogicOperatorNode`

### getExpansionConnectorType

    protected abstract int getExpansionConnectorType()

  When (if) we need to expand a row value constructor, what is the type of connector to use between the expansion fragments.

  Returns:
    The expansion connector type.

### getExpansionConnectorText

    protected abstract String getExpansionConnectorText()

  When (if) we need to expand a row value constructor, what is the text of the connector to use between the expansion fragments.

  Returns:
    The expansion connector text.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.